> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Display titles and files with pagination



## OpenAPI

````yaml get /frontend/entities/all/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/entities/all/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend
      summary: Display titles and files with pagination
      operationId: 54d9fa08e7e998ca9fbf08a47761770a
      parameters:
        - name: client_id
          in: path
          description: The id of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The id of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The id of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      client_id:
                        description: The id of the client
                        type: integer
                      program_id:
                        description: The id of the program
                        type: integer
                      program_name:
                        description: The name of the program
                        type: string
                      processed:
                        description: The processed data
                        type: array
                        items:
                          type: object
                      first_thumb:
                        description: The first thumbnail
                        type: string
                      client:
                        description: The client data
                        type: object
                      sort_fields:
                        description: The sort fields
                        type: array
                        items:
                          type: object
                      filter_fields:
                        description: The filter fields
                        type: array
                        items:
                          type: object
                      text_front:
                        description: The text front
                        type: string
                      sorting:
                        description: The sorting
                        type: string
                      filtering:
                        description: The filtering
                        type: string
                      program_names:
                        description: The program names
                        type: array
                        items:
                          type: string
                      disable_program_link:
                        description: The disable program link
                        type: string
                      currency_symbol:
                        description: The currency symbol
                        type: string
                      height:
                        description: The height
                        type: integer
                      total_length:
                        description: The total length
                        type: integer
                      session_id:
                        description: The id of the session
                        type: integer
                      total:
                        description: The total
                        type: integer
                      session_logged_in:
                        description: The session logged in
                        type: string
                    type: object
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The error message
                    type: string
                  error:
                    description: The error
                    type: string
                type: object

````